## org.eclipse.ocl.cst.impl
Class CSTFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.ocl.cst.impl.CSTFactoryImpl

All Implemented Interfaces:
  Notifier, EFactory, EModelElement, EObject, InternalEObject, CSTFactory

    public class CSTFactoryImpl

extends EFactoryImpl
implements CSTFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.ocl.cst.CSTFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`CSTFactoryImpl()` Creates an instance of the factory

Method Summary
`String` `convertCollectionTypeIdentifierEnumToString(EDataType eDataType, Object instanceValue)`
`String` `convertDotOrArrowEnumToString(EDataType eDataType, Object instanceValue)`
`String` `convertMessageExpKindToString(EDataType eDataType, Object instanceValue)`
`String` `convertPrePostOrBodyEnumToString(EDataType eDataType, Object instanceValue)`
`String` `convertSimpleTypeEnumToString(EDataType eDataType, Object instanceValue)`
`String` `convertToString(EDataType eDataType, Object instanceValue)`
`EObject` `create(EClass eClass)`
`BooleanLiteralExpCS` `createBooleanLiteralExpCS()`
`CallExpCS` `createCallExpCS()`
`ClassifierContextDeclCS` `createClassifierContextDeclCS()`
`CollectionLiteralExpCS` `createCollectionLiteralExpCS()`
`CollectionLiteralPartCS` `createCollectionLiteralPartCS()`
`CollectionRangeCS` `createCollectionRangeCS()`
`CollectionTypeCS` `createCollectionTypeCS()`
`CollectionTypeIdentifierEnum` `createCollectionTypeIdentifierEnumFromString(EDataType eDataType, String initialValue)`
`DefCS` `createDefCS()`
`DefExpressionCS` `createDefExpressionCS()`
`DerValueCS` `createDerValueCS()`
`DotOrArrowEnum` `createDotOrArrowEnumFromString(EDataType eDataType, String initialValue)`
`EnumLiteralExpCS` `createEnumLiteralExpCS()`
`FeatureCallExpCS` `createFeatureCallExpCS()`
`Object` `createFromString(EDataType eDataType, String initialValue)`
`IfExpCS` `createIfExpCS()`
`InitValueCS` `createInitValueCS()`
`IntegerLiteralExpCS` `createIntegerLiteralExpCS()`
`InvalidLiteralExpCS` `createInvalidLiteralExpCS()`
`InvCS` `createInvCS()`
`IsMarkedPreCS` `createIsMarkedPreCS()`
`IterateExpCS` `createIterateExpCS()`
`IteratorExpCS` `createIteratorExpCS()`
`LetExpCS` `createLetExpCS()`
`LoopExpCS` `createLoopExpCS()`
`MessageExpCS` `createMessageExpCS()`
`MessageExpKind` `createMessageExpKindFromString(EDataType eDataType, String initialValue)`
`NullLiteralExpCS` `createNullLiteralExpCS()`
`OCLMessageArgCS` `createOCLMessageArgCS()`
`OperationCallExpCS` `createOperationCallExpCS()`
`OperationContextDeclCS` `createOperationContextDeclCS()`
`OperationCS` `createOperationCS()`
`PackageDeclarationCS` `createPackageDeclarationCS()`
`PathNameCS` `createPathNameCS()`
`PrePostOrBodyDeclCS` `createPrePostOrBodyDeclCS()`
`PrePostOrBodyEnum` `createPrePostOrBodyEnumFromString(EDataType eDataType, String initialValue)`
`PrimitiveLiteralExpCS` `createPrimitiveLiteralExpCS()`
`PrimitiveTypeCS` `createPrimitiveTypeCS()`
`PropertyContextCS` `createPropertyContextCS()`
`RealLiteralExpCS` `createRealLiteralExpCS()`
`SimpleNameCS` `createSimpleNameCS()`
`SimpleTypeEnum` `createSimpleTypeEnumFromString(EDataType eDataType, String initialValue)`
`StateExpCS` `createStateExpCS()`
`StringLiteralExpCS` `createStringLiteralExpCS()`
`TupleLiteralExpCS` `createTupleLiteralExpCS()`
`TupleTypeCS` `createTupleTypeCS()`
`UnlimitedNaturalLiteralExpCS` `createUnlimitedNaturalLiteralExpCS()`
`VariableCS` `createVariableCS()`
`VariableExpCS` `createVariableExpCS()`
`CSTPackage` `getCSTPackage()`
`static CSTPackage` `getPackage()` Deprecated.
`static CSTFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### CSTFactoryImpl

    public CSTFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static CSTFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

  Specified by:
    `create` in interface `EFactory`
  Overrides:
    `create` in class `EFactoryImpl`

### createFromString

    public Object createFromString(EDataType eDataType,
                                   String initialValue)

  Specified by:
    `createFromString` in interface `EFactory`
  Overrides:
    `createFromString` in class `EFactoryImpl`

### convertToString

    public String convertToString(EDataType eDataType,
                                  Object instanceValue)

  Specified by:
    `convertToString` in interface `EFactory`
  Overrides:
    `convertToString` in class `EFactoryImpl`

### createPackageDeclarationCS

    public PackageDeclarationCS createPackageDeclarationCS()

  Specified by:
    `createPackageDeclarationCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Package Declaration CS'.

### createPropertyContextCS

    public PropertyContextCS createPropertyContextCS()

  Specified by:
    `createPropertyContextCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Property Context CS'.

### createClassifierContextDeclCS

    public ClassifierContextDeclCS createClassifierContextDeclCS()

  Specified by:
    `createClassifierContextDeclCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Classifier Context Decl CS'.

### createOperationContextDeclCS

    public OperationContextDeclCS createOperationContextDeclCS()

  Specified by:
    `createOperationContextDeclCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Operation Context Decl CS'.

### createPrePostOrBodyDeclCS

    public PrePostOrBodyDeclCS createPrePostOrBodyDeclCS()

  Specified by:
    `createPrePostOrBodyDeclCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Pre Post Or Body Decl CS'.

### createOperationCS

    public OperationCS createOperationCS()

  Specified by:
    `createOperationCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Operation CS'.

### createDerValueCS

    public DerValueCS createDerValueCS()

  Specified by:
    `createDerValueCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Der Value CS'.

### createInitValueCS

    public InitValueCS createInitValueCS()

  Specified by:
    `createInitValueCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Init Value CS'.

### createInvCS

    public InvCS createInvCS()

  Specified by:
    `createInvCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Inv CS'.

### createDefCS

    public DefCS createDefCS()

  Specified by:
    `createDefCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Def CS'.

### createDefExpressionCS

    public DefExpressionCS createDefExpressionCS()

  Specified by:
    `createDefExpressionCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Def Expression CS'.

### createPathNameCS

    public PathNameCS createPathNameCS()

  Specified by:
    `createPathNameCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Path Name CS'.

### createVariableExpCS

    public VariableExpCS createVariableExpCS()

  Specified by:
    `createVariableExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Variable Exp CS'.

### createSimpleNameCS

    public SimpleNameCS createSimpleNameCS()

  Specified by:
    `createSimpleNameCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Simple Name CS'.

### createPrimitiveTypeCS

    public PrimitiveTypeCS createPrimitiveTypeCS()

  Specified by:
    `createPrimitiveTypeCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Primitive Type CS'.

### createTupleTypeCS

    public TupleTypeCS createTupleTypeCS()

  Specified by:
    `createTupleTypeCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Tuple Type CS'.

### createCollectionTypeCS

    public CollectionTypeCS createCollectionTypeCS()

  Specified by:
    `createCollectionTypeCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Collection Type CS'.

### createLetExpCS

    public LetExpCS createLetExpCS()

  Specified by:
    `createLetExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Let Exp CS'.

### createIfExpCS

    public IfExpCS createIfExpCS()

  Specified by:
    `createIfExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'If Exp CS'.

### createMessageExpCS

    public MessageExpCS createMessageExpCS()

  Specified by:
    `createMessageExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Message Exp CS'.

### createOCLMessageArgCS

    public OCLMessageArgCS createOCLMessageArgCS()

  Specified by:
    `createOCLMessageArgCS` in interface `CSTFactory`
  Returns:
    a new object of class 'OCL Message Arg CS'.

### createVariableCS

    public VariableCS createVariableCS()

  Specified by:
    `createVariableCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Variable CS'.

### createEnumLiteralExpCS

    public EnumLiteralExpCS createEnumLiteralExpCS()

  Specified by:
    `createEnumLiteralExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Enum Literal Exp CS'.

### createCollectionLiteralExpCS

    public CollectionLiteralExpCS createCollectionLiteralExpCS()

  Specified by:
    `createCollectionLiteralExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Collection Literal Exp CS'.

### createTupleLiteralExpCS

    public TupleLiteralExpCS createTupleLiteralExpCS()

  Specified by:
    `createTupleLiteralExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Tuple Literal Exp CS'.

### createPrimitiveLiteralExpCS

    public PrimitiveLiteralExpCS createPrimitiveLiteralExpCS()

  Specified by:
    `createPrimitiveLiteralExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Primitive Literal Exp CS'.

### createIntegerLiteralExpCS

    public IntegerLiteralExpCS createIntegerLiteralExpCS()

  Specified by:
    `createIntegerLiteralExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Integer Literal Exp CS'.

### createUnlimitedNaturalLiteralExpCS

    public UnlimitedNaturalLiteralExpCS createUnlimitedNaturalLiteralExpCS()

  Specified by:
    `createUnlimitedNaturalLiteralExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Unlimited Natural Literal Exp CS'.

### createRealLiteralExpCS

    public RealLiteralExpCS createRealLiteralExpCS()

  Specified by:
    `createRealLiteralExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Real Literal Exp CS'.

### createStringLiteralExpCS

    public StringLiteralExpCS createStringLiteralExpCS()

  Specified by:
    `createStringLiteralExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'String Literal Exp CS'.

### createBooleanLiteralExpCS

    public BooleanLiteralExpCS createBooleanLiteralExpCS()

  Specified by:
    `createBooleanLiteralExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Boolean Literal Exp CS'.

### createCollectionLiteralPartCS

    public CollectionLiteralPartCS createCollectionLiteralPartCS()

  Specified by:
    `createCollectionLiteralPartCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Collection Literal Part CS'.

### createCollectionRangeCS

    public CollectionRangeCS createCollectionRangeCS()

  Specified by:
    `createCollectionRangeCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Collection Range CS'.

### createCallExpCS

    public CallExpCS createCallExpCS()

  Specified by:
    `createCallExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Call Exp CS'.

### createLoopExpCS

    public LoopExpCS createLoopExpCS()

  Specified by:
    `createLoopExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Loop Exp CS'.

### createIteratorExpCS

    public IteratorExpCS createIteratorExpCS()

  Specified by:
    `createIteratorExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Iterator Exp CS'.

### createIterateExpCS

    public IterateExpCS createIterateExpCS()

  Specified by:
    `createIterateExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Iterate Exp CS'.

### createFeatureCallExpCS

    public FeatureCallExpCS createFeatureCallExpCS()

  Specified by:
    `createFeatureCallExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Feature Call Exp CS'.

### createOperationCallExpCS

    public OperationCallExpCS createOperationCallExpCS()

  Specified by:
    `createOperationCallExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Operation Call Exp CS'.

### createIsMarkedPreCS

    public IsMarkedPreCS createIsMarkedPreCS()

  Specified by:
    `createIsMarkedPreCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Is Marked Pre CS'.

### createStateExpCS

    public StateExpCS createStateExpCS()

  Specified by:
    `createStateExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'State Exp CS'.

### createNullLiteralExpCS

    public NullLiteralExpCS createNullLiteralExpCS()

  Specified by:
    `createNullLiteralExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Null Literal Exp CS'.

### createInvalidLiteralExpCS

    public InvalidLiteralExpCS createInvalidLiteralExpCS()

  Specified by:
    `createInvalidLiteralExpCS` in interface `CSTFactory`
  Returns:
    a new object of class 'Invalid Literal Exp CS'.

### createPrePostOrBodyEnumFromString

    public PrePostOrBodyEnum createPrePostOrBodyEnumFromString(EDataType eDataType,
                                                               String initialValue)

### convertPrePostOrBodyEnumToString

    public String convertPrePostOrBodyEnumToString(EDataType eDataType,
                                                   Object instanceValue)

### createSimpleTypeEnumFromString

    public SimpleTypeEnum createSimpleTypeEnumFromString(EDataType eDataType,
                                                         String initialValue)

### convertSimpleTypeEnumToString

    public String convertSimpleTypeEnumToString(EDataType eDataType,
                                                Object instanceValue)

### createCollectionTypeIdentifierEnumFromString

    public CollectionTypeIdentifierEnum createCollectionTypeIdentifierEnumFromString(EDataType eDataType,
                                                                                     String initialValue)

### convertCollectionTypeIdentifierEnumToString

    public String convertCollectionTypeIdentifierEnumToString(EDataType eDataType,
                                                              Object instanceValue)

### createDotOrArrowEnumFromString

    public DotOrArrowEnum createDotOrArrowEnumFromString(EDataType eDataType,
                                                         String initialValue)

### convertDotOrArrowEnumToString

    public String convertDotOrArrowEnumToString(EDataType eDataType,
                                                Object instanceValue)

### createMessageExpKindFromString

    public MessageExpKind createMessageExpKindFromString(EDataType eDataType,
                                                         String initialValue)

### convertMessageExpKindToString

    public String convertMessageExpKindToString(EDataType eDataType,
                                                Object instanceValue)

### getCSTPackage

    public CSTPackage getCSTPackage()

  Specified by:
    `getCSTPackage` in interface `CSTFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static CSTPackage getPackage()

  Deprecated.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.